package de.intevation.flys.client.client.ui;

import com.google.gwt.core.client.GWT;

import com.smartgwt.client.types.Overflow;
import com.smartgwt.client.widgets.HTMLPane;


public class ImgLink extends HTMLPane {

    private int width;
    private int height;

    private String href;
    private String imgUrl;


    public ImgLink(String imgUrl, String href, int width, int height) {
        super();

        this.width  = width;
        this.height = height;
        this.href   = href;
        this.imgUrl = imgUrl;

        update();
    }


    protected void update() {
        setContents("<a href='" + href + "'><img src='" + imgUrl + "'></a>");
        setWidth(width);
        setHeight(height);
        setOverflow(Overflow.VISIBLE);
    }


    public void setSource(String href) {
        this.href = href;
        update();
    }
}
